LDD(1)

NOME
ldd - stampa le dipendenze delle librerie condivise

SINTASSI
ldd [OPZIONE]... FILE...

DESCRIZIONE
ldd stampa le librerie condivise richieste da ciascun programma o libreria condivisa specificata sulla lnea di comando.

OPZIONI

--version
    Stampa il numero di versione di ldd.

-v --verbose
    Stampa tutte le informazioni, inclusa ad es. la versione.

-u --unused
    Stampa le dipendenze dirette inutilizzate. (A partire da glibc 2.3.4.)

-d --data-relocs
    Effettua rilocazioni e riporta ogni oggeto mancante (solo ELF).

-r --function-relocs
    Effettua rilocazioni sia per oggetti dati che per funzioni, e riporta tutti gli oggetti o funzioni mancanti (solo ELF).

--help
    Informazioni sull'uso.

NOTE
La versione standard di ldd viene con glibc2. Libc5 veniva con una versione più vecchia, ancora presente in alcuni sistemi. Le lunghe opzioni non sono supportate dalla versione libc5. D'alra parte la versione glibc2 non supporta -V ed ha solo l'equivalente --version.

La versione libc5 di questo programma userà il nome esatto di una libreria data sulla linea di comand quando contiene un '/'; altrimenti essa cerca la libreria nelle locazioni standard. Per eseguirla su una libreria condivisa nella directory corrente, premettere al nome "./".

BACHI
ldd non funziona con librerie condivise a.out.

ldd non funziona con alcuni programmi a.out molto vecchi, che sono stati costruiti prima che il supporto di ldd fosse aggiunto alle release del compilatore. Se si usa ldd in uno di questi programmi il programma tenterà di funzionare argc = 0 e i risultati saranno non prevedibili.

VEDERE ANCHE
ld.so(8), ldconfig(8)